> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sellfern.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List store aliases

> Lists aliases mapped to a store in the authenticated organization. Stores outside the authenticated organization are returned as not found before aliases are read.

Scope notes: Requires store read scope and authenticated organization isolation.

Read-only endpoint.



## OpenAPI

````yaml /public_openapi_v1.json get /stores/{id}/aliases
openapi: 3.0.0
info:
  title: Sellfern Public API
  version: 1.0.0
  description: OpenAPI spec for Sellfern Public V1 developer docs.
  contact:
    name: Sellfern Support
    email: support@sellfern.com
servers:
  - url: https://api.sellfern.com
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: Organizations And Stores
  - name: Orders
  - name: Order Items
  - name: Products And Catalog
  - name: Webhooks
paths:
  /stores/{id}/aliases:
    get:
      tags:
        - Organizations And Stores
      summary: List store aliases
      description: >-
        Lists aliases mapped to a store in the authenticated organization.
        Stores outside the authenticated organization are returned as not found
        before aliases are read.


        Scope notes: Requires store read scope and authenticated organization
        isolation.


        Read-only endpoint.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            minimum: 1
          description: Store ID.
      responses:
        '200':
          description: Store aliases returned successfully.
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - data
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/PublicStoreAlias'
                  meta:
                    $ref: '#/components/schemas/ResponseMeta'
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '429':
          $ref: '#/components/responses/RateLimitedError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PublicStoreAlias:
      type: object
      properties:
        id:
          type: integer
          example: 7
        organization_id:
          type: integer
          description: Authenticated organization that owns the alias.
        store_id:
          type: integer
          example: 1
        alias_name:
          type: string
          example: My Etsy Shop
        created_at:
          type: string
          format: date-time
          nullable: true
        updated_at:
          type: string
          format: date-time
          nullable: true
    ResponseMeta:
      type: object
      properties:
        request_id:
          type: string
          description: Request identifier, when available.
  responses:
    ValidationError:
      description: Request validation failed.
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - error
            properties:
              success:
                type: boolean
                example: false
              error:
                type: object
                required:
                  - code
                  - message
                properties:
                  code:
                    type: string
                    example: validation_error
                  message:
                    type: string
                    example: Request validation failed.
              meta:
                $ref: '#/components/schemas/ResponseMeta'
    UnauthorizedError:
      description: Missing or invalid API key.
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - error
            properties:
              success:
                type: boolean
                example: false
              error:
                type: object
                required:
                  - code
                  - message
                properties:
                  code:
                    type: string
                    example: unauthorized
                  message:
                    type: string
                    example: Missing or invalid API key.
              meta:
                $ref: '#/components/schemas/ResponseMeta'
    ForbiddenError:
      description: API key lacks the required scope.
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - error
            properties:
              success:
                type: boolean
                example: false
              error:
                type: object
                required:
                  - code
                  - message
                properties:
                  code:
                    type: string
                    example: missing_scope
                  message:
                    type: string
                    example: Missing required scope.
              meta:
                $ref: '#/components/schemas/ResponseMeta'
    NotFoundError:
      description: Resource not found or outside the authenticated organization.
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - error
            properties:
              success:
                type: boolean
                example: false
              error:
                type: object
                required:
                  - code
                  - message
                properties:
                  code:
                    type: string
                    example: not_found
                  message:
                    type: string
                    example: Resource not found.
              meta:
                $ref: '#/components/schemas/ResponseMeta'
    RateLimitedError:
      description: Rate limit exceeded.
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - error
            properties:
              success:
                type: boolean
                example: false
              error:
                type: object
                required:
                  - code
                  - message
                properties:
                  code:
                    type: string
                    example: rate_limited
                  message:
                    type: string
                    example: Rate limit exceeded.
              meta:
                $ref: '#/components/schemas/ResponseMeta'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Sellfern public API key scoped to the authenticated organization. Do not
        use user JWTs for public integrations.

````